Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453172 - Pressing TAB in guest selects Pause in graphical display window
Summary: Pressing TAB in guest selects Pause in graphical display window
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 17:34 UTC by Jonathan Underwood
Modified: 2008-12-21 08:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-21 08:28:19 UTC


Attachments (Terms of Use)

Description Jonathan Underwood 2008-06-27 17:34:45 UTC
Description of problem:
If I hit tab when typing into a guest, the guest does receive the tab, but also
the Pause button in the graphical display window becomes selected as well. Then,
if I press enter, the guest pauses. 

Version-Release number of selected component (if applicable):
$ rpm -qa | grep virt
libvirt-python-0.4.2-4.fc9.x86_64
virt-manager-0.5.4-4.fc9.x86_64
libvirt-0.4.2-4.fc9.x86_64
python-virtinst-0.300.3-7.fc9.noarch

How reproducible:
Everytime

Steps to Reproduce:
1.Press tab button while guest has focus
2.
3.
  
Actual results:
Guest receives the tab, but also the Pause button is selected and has focus.

Expected results:


Additional info:

Comment 1 Cole Robinson 2008-09-03 20:57:26 UTC
This was fixed upstream in the console + details window merge, it seems. Setting to POST.

Thanks,
Cole

Comment 2 Fedora Update System 2008-12-01 18:10:35 UTC
virt-manager-0.6.0-0.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/virt-manager-0.6.0-0.fc9

Comment 3 Fedora Update System 2008-12-01 18:23:27 UTC
virt-manager-0.6.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/virt-manager-0.6.0-1.fc9

Comment 4 Fedora Update System 2008-12-03 01:30:21 UTC
virt-manager-0.6.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10705

Comment 5 Fedora Update System 2008-12-21 08:27:27 UTC
virt-manager-0.6.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.